Summary:		Linux Hotplug Scripts
Name:			hotplug
Version:		2001_09_19
Release:		1
Group:			Applications/System
License:		GPL
Url:			http://linux-hotplug.sourceforge.net/
Source0:		%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-root
Prereq:			/sbin/chkconfig

%description
This package contains the scripts necessary for hotplug Linux support.


%package core
Group:			Applications/System
Summary: Linux Hotplug core structure

%description core
This package contains the scripts necessary for hotplug Linux support.


%package utils
Group:	 Applications/System
Summary: Linux Hotplug utility programs

%description utils
This package contains some utilities for hotplug Linux support.


%prep
%setup -q

%build
# Build any compiled programs in the source tree.
make all CFLAGS="%optflags"

%install
make prefix=${RPM_BUILD_ROOT} install

# --
# The core package contains the directory structure, the main hotplug
# program, and all the basic infrastructure to make the hotplug process
# work on the machine.

%files core
%defattr(-,root,root)
/sbin/hotplug
/etc/rc.d/init.d/*
/etc/hotplug/*
%dir /var/run/usb
%{_mandir}/*
%doc README ChangeLog

%post core
/sbin/chkconfig --add hotplug
# Uncomment this out if we find that we need to restart the system when
# we have loaded a new copy of the package.
#if test -r /var/lock/subsys/hotplug ; then
#	/etc/rc.d/init.d/hotplug restart >&2
#fi


%preun core
if [ "$1" = 0 ] ; then
	/etc/rc.d/init.d/hotplug stop >&2
	/sbin/chkconfig --del hotplug
fi

# --
# The utils package contains utility programs that certain devices
# might need along with the core hotplug in order to boot up the
# device in question.
%files utils
%defattr(-,root,root)
/sbin/fxload


%changelog
* Mon Jun 11 2001 Steve Williams <steve@icarus.com>
- The install process is now in the comon makefile, so that non-
  rpm installs can work. This spec file thus invokes that install.

* Fri Jun 8 2001 Steve Williams <steve@icarus.com>
- added the /var/run/usb directory to spec file

* Tue Apr 24 2001 Greg Kroah-Hartman <greg@kroah.com>
- added the hotplug.8 manpage written by Fumitoshi UKAI <ukai@debian.or.jp>

* Fri Mar 2 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the post and preun sections to fix problem of hotplug
  not starting automatically when the package is upgraded.

* Wed Feb 28 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_28 release

* Wed Feb 14 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_14 release

* Wed Jan 17 2001 Greg Kroah-Hartman <greg@kroah.com>
- changed specfile based on Chmouel Boudjnah's <chmouel@mandrakesoft.com> comments.

* Tue Jan 16 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the file locations due to the change in the tarball structure.
- 2001_01_16 release

* Mon Jan 15 2001 Greg Kroah-Hartman <greg@kroah.com>
- First cut at a spec file for the hotplug scripts.
- added patch to usb.rc to allow chkconfig to install and remove it.

